Update project metadata
curl --request PATCH \
--url https://api.clipstake.com/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.clipstake.com/v1/projects/{project_id}"
payload = { "metadata": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.clipstake.com/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "prj_5f9c0a1b2c3d4e5f60718293",
"name": "Fall campaign",
"metadata": {
"region": "global"
},
"archived_at": null,
"created_at": "2026-09-10T14:20:00.000Z"
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01K5A7R4WM9C2N6B8X3D"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Projects
Update project metadata
PATCH
/
projects
/
{project_id}
Update project metadata
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID. Format: prj_ followed by 24 lowercase hexadecimal characters.
Example:
"prj_180b06ac31e358b242694941"
Body
application/json
Show child attributes
Show child attributes
Response
Successful response
Pattern:
^prj_[0-9a-f]{24}$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$